<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<!--滴塑 -->
<style>
    .p {
        color: green;
        font-weight: 400;
    }
</style>
<body>
<div class="big_box">
    <div class="left_div">
        <h1 class="h1">滴塑</h1> <span style="color:red;font-weight:700;"></span>
        <hr>
        <form class="layui-form">
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="23">
            <p>
                材质
            </p>
            <div class="layui-form-item">
                <select name="kindValue" id="kindValue" lay-filter="kindValue" class="select">
                    <option value="">请选择</option>
                    <!--<option value="0">铜版纸滴塑</option>-->
                    <option value="1">透明滴塑</option>
                    <option value="2">PVC滴塑</option>
                    <option value="3">亮银滴塑</option>
                </select>
            </div>
            <p>
                尺寸(CM/厘米) <span style="font-size:14px;color:red">输入格式: 长 * 宽</span>
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="格式:长*宽" name="size" id="size" class="layui-input" autocomplete="off">
            </div>
            <p>
                数量（个）
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="count" id="count" class="layui-input">
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                       class="layui-input" lay-verify="number">
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang"
                       class="layui-input">
            </div>
            <p>
                工艺
            </p>
            <div class="layui-input-block">
                <input type="checkbox" name="craft" lay-filter="craft" value="3m胶" title="3m胶">
                <input type="checkbox" name="craft" lay-filter="craft" class="yingbai" value="印白" title="印白">
                <input type="checkbox" value="内部模切" id="nmq" name="craft" title="内部模切" lay-filter="nmq">
                <span class="n_mq_input" style="display: none">
                     <span style="margin-top:12px;flex-shrink: 0">个数 ： </span>
                    <input type="text" placeholder="请输入整数" autocomplete="off" name="n_mq_num" value="0"
                           class="layui-input" style="width: 70px">
                     <span style="margin-top:12px;flex-shrink: 0">尺寸(CM/厘米) <span style="font-size:14px;color:red">输入格式: 长 * 宽</span>  </span>
                    <input type="text" placeholder="尺寸" autocomplete="off" name="n_mq_size"
                           class="layui-input">
                </span>
            </div>
            <div class="layui-input-block">
                <input type="checkbox" name="craft" lay-filter="ui_craft" value="抠图" title="抠图">
                <div class="layui-inline crop" style="display:none;width: 80px">
                    <input class="layui-input" type="text" name="cropNumber">
                </div>
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <!--<h2>下单备注-<button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult" onclick="copyBz()">点击复制</button></h2>
            <div>
                <textarea rows="5" cols="75" id="bz_result" readonly="readonly"></textarea>
            </div>-->
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<script src="../../js/carousel.js" charset="utf-8"></script>
<%@include file="/views/copyResult.jsp" %>
<script>
    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var table = layui.table;
        var carousel = layui.carousel;

        ins = carousel.render({});

        form.on('checkbox(nmq)', (data) => {
            if (data.elem.checked) {
                $(".n_mq_input").css("display", "flex")
                $(".n_mq_input input").prop("disabled", false);
            } else {
                $(".n_mq_input").hide()
                $(".n_mq_input input").prop("disabled", true);
            }
            getProductImage(kValue)
        })

        function getProductImage(craft) {
            $("#carousel").empty();
            $(".layui-carousel-ind").remove();
            let kindvalue = $("select[name='kindValue'] option:selected").val();
            let data = {proTypeValue: '23', kindValue: kindvalue}
            if (craft != '' && craft == '印白') {
                delete data.kindValue;
                data.craftValue = craft;
            }

            let html = "";
            $.ajax({
                url: "${pageContext.request.contextPath}/getImgs",
                type: "GET",
                data,
                //dataType : "json",
                success: function (result) {
                    for (let i = 0; i < result.length; i++) {
                        // 只留一个remark
                        html += '<div><img style="width:' + result[0].imgWidth + 'px" src="' + result[i].imgUrl + '"></div>';
                    }
                    $("#carousel").append(html);
                    // 如果没有轮播图就隐藏
                    if (result.length == 0) {
                    } else {
                        document.getElementById("test1").style.display = "block";   //显示
                        ins.reload({
                            elem: '#test1',
                            width: result[0].imgWidth,  //设置容器宽度
                            height: result[0].imgHeight
                        });
                    }
                }
            });
        }

        form.on('checkbox(craft)', (data) => {
            getProductImage(data.elem.checked ? data.value : '')
        })
        form.on('checkbox(ui_craft)', function (data) {
            let craft_list = [];
            let kindValue = $('input[name="kindValue"]:checked').val();
            craft_list.push($("select[name='craft'] option:selected").val());
            $("input[name='craft']:checked").each(function () {
                if (!$(this).is(':disabled')) {
                    craft_list.push($(this).val());
                }
            });

            if (data.value == '抠图') {
                $(".crop").hide();
                $(".crop").find("input").prop("disabled", true)
                if (data.elem.checked) {
                    $(".crop").show();
                    $(".crop").find("input").prop("disabled", false)
                }
            }
            form.render();
        })
        form.on('select(kindValue)', (data) => {
            let kindvalue = data.value;
            $('input[name="craft"]').prop("checked", false);
            $('input[name="craft"]').attr("disabled", false);
            if (kindvalue == '2') {
                $(".yingbai").attr("disabled", true);
            }
            form.render();
            getProductImage()
        })
        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            var number = $("#number").val();
            var size = $("#size").val();
            var count = $("#count").val();
            var kind = $("#kindValue option:selected").text();
            if (!size) {
                layer.msg('请填写尺寸！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if ((size.split("*")[0] > 43 || size.split("*")[1] > 30) && (size.split("*")[0] > 43 || size.split("*")[1] > 30)) {
                layer.msg("【滴塑】尺寸不能超过43*30 cm", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            let n_moq_num = $('input[name="n_mq_num"]').val()
            let n_moq_size = $("input[name='n_mq_size']").val()
            let nmq = $("#nmq:checked").val();
            if (nmq == '内部模切') {

                if (n_moq_num == 0) {
                    layer.msg('请输入内模切个数！', {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
                if (n_moq_num > 0 && n_moq_size == "") {
                    layer.msg('请输入内模切尺寸！', {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
                if (n_moq_num > 0 && n_moq_size.indexOf("*") == -1) {
                    layer.msg('请输入内模切正确尺寸！', {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
            }

            if (n_moq_num > 0) {
                let main_size = size.split("*");
                let moq_size = n_moq_size.split("*");

                let max_number = Math.max(Math.floor(main_size[0] * 10 / (moq_size[0] * 10 + 3)) * Math.floor(main_size[1] * 10 / (moq_size[1] * 10 + 3)), Math.floor(main_size[1] * 10 / (moq_size[0] * 10 + 3)) * Math.floor(main_size[0] * 10 / (moq_size[1] * 10 + 3)))
                if (max_number < n_moq_num) {
                    layer.msg('内模切尺寸超出范围！', {offset: ['300px', '300px']})
                    return false;
                }
            }
            let arr = [];
            $("input[name='craft']:checked").each(function () {
                if (!$(this).is("disabled")) {
                    if ($(this).val() == "抠图") {
                        arr.push($(this).val() + $("input[name='cropNumber']").val());
                        return;
                    }
                    if ($(this).val() == "内部模切") {
                        return;
                    }
                    arr.push($(this).val())
                }
            })
            if (!$("#nmq").is(':disabled') && nmq == '内部模切' && n_moq_num > 0) {
                arr.push("内部模切:" + n_moq_num + "/" + n_moq_size)
            }
            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;

                    var span_result = '滴塑 - ' + kind + '-' + size + ' CM (同款内容)\n';
                    if (arr.length > 0) {
                        span_result += "工艺：" + arr.join(",") + '\n';
                    }
                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }
                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                    if (window.parent.system_isGai) {
                        span_result += "\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                    }
                    addLog(span_result);
                    $("#span_result").val(span_result);

                    getRemark("滴塑", size, count + "个", kind, number, "", "");
                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '16%',
                                title: '折扣价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '19%',
                                title: '跳楼价'
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });
</script>
</html>